package com.mx.dla.dda.contrato.transaccion.fees.dtos;

import java.util.List;

import com.mx.dla.dda.contrato.transaccion.catalagos.dtos.TipoCambioTDTO;
import com.mx.dla.global.dtos.BaseDTO;

public class FeesTransaccionDTO extends BaseDTO{

	private static final long serialVersionUID = 1L;
	
	private String fechaInicioCto;
	private String fechaFinCto;
	private Long   idTipoCambio;	
	private boolean premier;
	private boolean libreria;
	private boolean est;	
	private boolean valido;
	private List<TipoCambioTDTO>  tiposCambio;	
	
	public String getFechaInicioCto() {
		return fechaInicioCto;
	}
	public void setFechaInicioCto(String fechaInicioCto) {
		this.fechaInicioCto = fechaInicioCto;
	}
	public String getFechaFinCto() {
		return fechaFinCto;
	}
	public void setFechaFinCto(String fechaFinCto) {
		this.fechaFinCto = fechaFinCto;
	}
	public Long getIdTipoCambio() {
		return idTipoCambio;
	}
	public void setIdTipoCambio(Long idTipoCambio) {
		this.idTipoCambio = idTipoCambio;
	}	
	public boolean isPremier() {
		return premier;
	}
	public void setPremier(boolean premier) {
		this.premier = premier;
	}
	public boolean isLibreria() {
		return libreria;
	}
	public void setLibreria(boolean libreria) {
		this.libreria = libreria;
	}
	public boolean isEst() {
		return est;
	}
	public void setEst(boolean est) {
		this.est = est;
	}
	public List<TipoCambioTDTO> getTiposCambio() {
		return tiposCambio;
	}
	public void setTiposCambio(List<TipoCambioTDTO> tiposCambio) {
		this.tiposCambio = tiposCambio;
	}
	public boolean isValido() {
		return valido;
	}
	public void setValido(boolean valido) {
		this.valido = valido;
	}
	
}
